Page MenuHomePhabricator

Source editing icons offset with MSUpload in REL1_31
Closed, ResolvedPublic

Description

With MsUpload enabled and editing the wikitext source, the following buttons (some in both rows) are offset too low incorrectly

  • Link
  • Image Gallery
  • Redirect
  • Reference
  • Table

Without MsUpload;

With MsUpload:

I suspect these are caused by the way the additional icons are added by MsUpload.

I am testing using the REL1_31 branch (rc0)

Details

Related Gerrit Patches:
mediawiki/extensions/MsUpload : REL1_31Fix toolbar alignment for MediaWiki version 1.31
mediawiki/extensions/MsUpload : masterFix toolbar alignment for MediaWiki version 1.31

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 28 2018, 10:59 PM
Vvjjkkii renamed this task from Source editing icons offset with MSUpload in REL1_31 to d4baaaaaaa.Jul 1 2018, 1:07 AM
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from d4baaaaaaa to Source editing icons offset with MSUpload in REL1_31.Jul 2 2018, 3:14 AM
CommunityTechBot lowered the priority of this task from High to Normal.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.

A "not great but good enough" solution is to change the alignment of the other icons in MediaWiki:Common.css

.oo-ui-buttonElement {
	vertical-align: top;
}

yielding:

tosfos claimed this task.Jul 13 2018, 6:54 PM

Change 445655 had a related patch set uploaded (by tosfos; owner: tosfos):
[mediawiki/extensions/MsUpload@master] Fix toolbar alignment for MediaWiki version 1.31

https://gerrit.wikimedia.org/r/445655

Change 445655 merged by jenkins-bot:
[mediawiki/extensions/MsUpload@master] Fix toolbar alignment for MediaWiki version 1.31

https://gerrit.wikimedia.org/r/445655

Sophivorus closed this task as Resolved.Jul 20 2018, 10:56 PM
Sophivorus added subscribers: Samwilson, Sophivorus.

Tested the patch and the issue seems fixed. Thanks @Samwilson !

SmartK added a subscriber: SmartK.Jul 22 2018, 10:45 AM

Yes, great job @Dan.mulholland. Thank you also from my side!

Change 460696 had a related patch set uploaded (by Samwilson; owner: tosfos):
[mediawiki/extensions/MsUpload@REL1_31] Fix toolbar alignment for MediaWiki version 1.31

https://gerrit.wikimedia.org/r/460696

Restricted Application changed the subtype of this task from "Deadline" to "Task". · View Herald TranscriptSep 15 2018, 9:30 AM

Change 460696 merged by jenkins-bot:
[mediawiki/extensions/MsUpload@REL1_31] Fix toolbar alignment for MediaWiki version 1.31

https://gerrit.wikimedia.org/r/460696